SET NAMES utf8mb4;
SET foreign_key_checks = 0;

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL,
  `password` varchar(60) DEFAULT NULL,
  `type` enum('user','admin') NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 0,
  `google_sub` varchar(255) CHARACTER SET ascii COLLATE ascii_bin DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `google_sub` (`google_sub`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

CREATE TABLE `audit_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `local_table` varchar(255) NOT NULL,
  `local_id` int(10) unsigned NOT NULL,
  `type` enum('insert','update','delete') NOT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp(),
  `modifier_id` int(10) unsigned NULL,
  `column` varchar(255) NULL,
  `old` text NULL,
  `new` text NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
